Bug 72652 - [PATCH] editors/jed: Fix a bug - lost setuid and setgid bits when save file
Summary: [PATCH] editors/jed: Fix a bug - lost setuid and setgid bits when save file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-13 19:10 UTC by Renato Botelho
Modified: 2004-11-01 19:12 UTC (History)
1 user (show)

See Also:


Attachments
jed-0.99.16.patch (1.35 KB, patch)
2004-10-13 19:10 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho 2004-10-13 19:10:16 UTC
When you save a file it´s loosing setuid and setgid bit

Added file(s):
- files/patch-file
- files/patch-unix

Port maintainer (s_bschmi@ira.uka.de) is cc'd.

Generated with FreeBSD Port Tools 0.63

How-To-Repeat: 
touch x
chmod 4755 x
ls -l x
The permissions will be -rwsr-xr-x
jed x
Change & save the file
ls -l x
The permissions will be -rwxr-xr-x
Comment 1 Pav Lucistnik freebsd_committer 2004-10-16 13:37:39 UTC
Dear maintainer of FreeBSD port editors/jed, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=72652

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

If God didn't mean for us to juggle, tennis balls wouldn't come three
to a can.
Comment 2 Pav Lucistnik freebsd_committer 2004-10-16 13:37:42 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval. 


Comment 3 Pav Lucistnik freebsd_committer 2004-10-16 13:37:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 4 Pav Lucistnik freebsd_committer 2004-11-01 19:12:18 UTC
State Changed
From-To: feedback->closed

Committed, thanks!